package sk.upjs.ics.novotnyr.spring;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.support.PropertySourcesPlaceholderConfigurer;
import org.springframework.core.io.ClassPathResource;


@Configuration
@ComponentScan("sk.upjs.ics.novotnyr.spring")
public class MyApplicationContext {
	public static final String DATE_PROPERTIES_PATH = "/sk/upjs/ics/novotnyr/spring/date.properties";

	@Bean
	public static PropertySourcesPlaceholderConfigurer properties() {
		PropertySourcesPlaceholderConfigurer configurer = new PropertySourcesPlaceholderConfigurer();
		configurer.setLocation(new ClassPathResource(DATE_PROPERTIES_PATH));
		
		return configurer;
	}
	
}
