package sk.upjs.ics.novotnyr.spring;

import java.text.SimpleDateFormat;
import java.util.Date;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class DateService {
	@Value("${date.format}")
	private String format;
	
	public String getDate() {
		SimpleDateFormat dateFormat = new SimpleDateFormat(format);
		String formattedDateString = dateFormat.format(new Date());
		
		return formattedDateString;
	}
}
