package sk.upjs.ics.novotnyr.spring;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Properties;


import org.junit.Assert;
import org.junit.Test;
import org.springframework.context.annotation.AnnotationConfigApplicationContext;
import org.springframework.core.io.ClassPathResource;
import org.springframework.core.io.support.PropertiesLoaderUtils;

public class MyApplicationContextTest {
	@Test
	public void testFindBean() {
		AnnotationConfigApplicationContext ctx = new AnnotationConfigApplicationContext(MyApplicationContext.class);
		DateService dateService = ctx.getBean(DateService.class);
		
		String expectedDate = new SimpleDateFormat("yyyy-MM-dd").format(new Date());
		Assert.assertEquals(expectedDate, dateService.getDate());

	}
	
	
}
